Subject: where should email address go?

From: Richard Culshaw <[email-masked]>
Date: Tue, 14 May 2002 12:56:32 +1000

Hi all,

a quick question for the group...

what is the best place to put an email address value in an client
certificate
in the E field of the Subject DN eg:
E = [email-masked]

or 
in the Subject Alt Name Extenstion eg:
RFC822 Name=[email-masked]

my understanding is that only some legacy applications use the Subject Alt
Name extension and just about all the client software out there looks in the
Subject DN for the email address?

 what about placing it in both fields???

thanks in advance....

Richard Culshaw

---

From: "Housley, Russ" <[email-masked]>
Date: Tue, 14 May 2002 09:17:06 -0400

Richard:

Please take a look at the last few paragraphs of section 4.1.2.6 in RFC 3280.

Russ